Subject: Re: [PATCH net-next 00/13] net: header and core spelling corrections

From: Simon Horman <[email-masked]>
Date: Sun, 25 Aug 2024 09:54:26 +0100

On Sun, Aug 25, 2024 at 07:52:45AM +0000, Philipp Stanner wrote:
> Am Donnerstag, dem 22.08.2024 um 13:57 +0100 schrieb Simon Horman:
> > This patchset addresses a number of spelling errors in comments in
> > Networking files under include/, and files in net/core/. Spelling
> > problems are as flagged by codespell.
> > 
> > It aims to provide patches that can be accepted directly into net-
> > next.
> > And splits patches up based on maintainer boundaries: many things
> > feed directly into net-next. This is a complex process and I
> > apologise
> > for any errors.
> 
> Are you aware that this lessens git blame's ability to provide the
> latest relevant change and associated commit message?
> 
> Many software projects suffer from whitespace and spelling fixes
> preventing git blame from figuring out years later what original code
> was intended to do.
> 
> I'd consider that improving spelling might not win that cost-benefit-
> ratio.

Sure, that is a judgment call that can be made.  I think that it is pretty
common for spelling corrections to be accepted, and I do think there is a
value in having things spelt correctly.  But if the consensus is otherwise,
then fine.